PHP ��U
前一頁 |  | 下一頁

# set_exception_handler

(PHP 5)

set_exception_handler -- Sets a user-defined exception handler function

## Description

string set_exception_handler ( callback exception_handler )

Sets the default exception handler if an exception is not caught within a try/catch block. Execution will stop after the exception_handler is called.

The exception_handler must be defined before calling set_exception_handler(). This handler function needs to accept one parameter, which will be the exception object that was thrown.

## Parameters

exception_handler

  Name of the function to be called when an uncaught exception occurs.

## Return Values

Returns the name of the previously defined exception handler, or `NULL` on error. If no previous handler was defined, `NULL` is also returned.

## �d��

範例 1. set_exception_handler() example

`<?php function exception_handler($exception) { echo "Uncaught exception: " , $exception->getMessage(), "\n"; } set_exception_handler('exception_handler'); throw new Exception('Uncaught Exception'); echo "Not Executed\n"; ?>`

## �Ѧ�

restore_exception_handler(), restore_error_handler(), error_reporting(), information about the callback type, and PHP 5 Exceptions.

前一頁 | 內容 | 下一頁
set_error_handler | 上一層 | trigger_error